Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Types | Public Member Functions
boost::geometry::index::equal_to< Value > Struct Template Reference

The function object comparing Values. More...

`#include <equal_to.hpp>`

Inheritance diagram for boost::geometry::index::equal_to< Value >:

List of all members.

## Public Types

typedef detail::equal_to < Value >::result_type | result_type
| The type of result returned by function object.

## Public Member Functions

bool | operator() (Value const &l, Value const &r) const
| Compare Values.

## Detailed Description

### template<typename Value>
struct boost::geometry::index::equal_to< Value >

The function object comparing Values.

The default version handles Values which are Indexables, std::pair<T1, T2>, boost::tuple<...> and std::tuple<...> if STD tuples and variadic templates are supported. All members are compared from left to right, Geometries using boost::geometry::equals() function, other types using operator==.

Template Parameters:

  Value | The type of objects which are compared by this function object.

## Member Function Documentation

template<typename Value >

bool boost::geometry::index::equal_to< Value >::operator() | ( | Value const & | l,
|  | Value const & | r
| ) |  | const`[inline]`

Compare Values.

Parameters:

  l | First value.
  r | Second value.

Returns:
  true if Values are equal.

Reimplemented from boost::geometry::index::detail::equal_to< Value >.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/equal_to.hpp

All Classes Functions Typedefs